Package Scientific :: Package BSP :: Class ParRootFunction

[frames] | no frames]

# Class ParRootFunction

    object --+
             |
      ParValue --+
                 |
       ParFunction --+
                     |
                    ParRootFunction

Asymmetric global function

Constructor: ParRootFunction(|root_function|, |other_function|=None)

Arguments:

Global functions are called with global object arguments. The local values of these arguments are then passed to the local function, and the result is returned in a ParValue object.

A ParRootFunction differs from a ParFunction in that it uses a different local function for processor 0 than for the other processors. ParRootFunction objects are commonly used for I/O operations.

Instance Methods

__init__(self, local_function, other_function=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

Inherited from `ParFunction`: `__repr__`

Inherited from `ParValue`: `__add__`, `__call__`, `__div__`, `__divmod__`, `__eq__`, `__ge__`, `__getattr__`, `__getitem__`, `__gt__`, `__le__`, `__len__`, `__lt__`, `__mod__`, `__mul__`, `__ne__`, `__neg__`, `__nonzero__`, `__pow__`, `__str__`, `__sub__`, `accumulate`, `alltrue`, `anytrue`, `broadcast`, `fullExchange`, `get`, `getattr`, `map`, `put`, `reduce`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
Inherited from `ParValue`: `is_parvalue`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, local_function, other_function=None)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `local_function` (callable) - the local function for processor 0
  - `other_function` (callable) - the local function for all other processors. The default is a function that returns None.
Overrides: object.__init__